"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var z = __importStar(require("."));
var FormData = z
    .object({
    email: z.string().email(),
    password: z.string().min(10),
    confirm: z.string().min(10),
})
    .refine(function (obj) { return obj.password === obj.confirm; }, {
    message: 'Passwords do not match',
    path: ['confirm'],
});
try {
    FormData.parse({
        email: 'not an email',
        password: 'tooshort',
        confirm: 'nomatch',
    });
}
catch (err) {
    if (!(err instanceof z.ZodError))
        throw err;
    console.log(err.errors);
    /*
    [
      { code: 'invalid_string', validation: 'email', path: ['email'], message: 'Invalid email' },
      {
        code: 'too_small',
        minimum: 10,
        type: 'string',
        inclusive: true,
        path: ['password'],
        message: 'Should be at least 10 characters',
      },
      {
        code: 'too_small',
        minimum: 10,
        type: 'string',
        inclusive: true,
        path: ['confirm'],
        message: 'Should be at least 10 characters',
      },
      { code: 'custom_error', message: 'Passwords do not match', path: ['confirm'] },
    ];
    */
    console.log(err.formErrors);
    /*
      {
      formErrors: [],
      fieldErrors: {
        email: ['Invalid email'],
        password: ['Should be at least 10 characters'],
        confirm: ['Should be at least 10 characters', 'Passwords do not match'],
      },
    }
    */
}
//# sourceMappingURL=playground.js.map